# Generated by Django 2.0.5 on 2021-12-28 09:09

from django.conf import settings
import django.contrib.postgres.fields.jsonb
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
        ('accounts', '0101_auto_20211206_1046'),
        ('document', '0056_auto_20211216_1203'),
    ]

    operations = [
        migrations.CreateModel(
            name='ConnectwisePurchaseOrder',
            fields=[
                ('po_number', models.CharField(max_length=100, primary_key=True, serialize=False)),
            ],
        ),
        migrations.CreateModel(
            name='ConnectwiseServiceTicket',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created_on', models.DateTimeField(auto_now_add=True)),
                ('updated_on', models.DateTimeField(auto_now=True)),
                ('ticket_crm_id', models.PositiveIntegerField()),
                ('owner_crm_id', models.PositiveIntegerField()),
                ('summary', models.CharField(max_length=200)),
                ('service_board_crm_id', models.PositiveIntegerField()),
                ('status_crm_id', models.PositiveIntegerField()),
                ('status_name', models.CharField(max_length=200)),
                ('company_crm_id', models.PositiveIntegerField()),
                ('company_name', models.CharField(max_length=500)),
                ('connectwise_last_data_update', models.DateTimeField()),
                ('additional_data', django.contrib.postgres.fields.jsonb.JSONField(default={})),
                ('owner', models.ForeignKey(null=True, on_delete=django.db.models.deletion.CASCADE, related_name='+', to=settings.AUTH_USER_MODEL)),
                ('provider', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='+', to='accounts.Provider')),
            ],
        ),
        migrations.AddField(
            model_name='connectwisepurchaseorder',
            name='ticket',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='purchase_orders', to='document.ConnectwiseServiceTicket'),
        ),
        migrations.AddIndex(
            model_name='connectwiseserviceticket',
            index=models.Index(fields=['provider', 'owner'], name='document_co_provide_86d4d4_idx'),
        ),
    ]
